<?php

if (isset($_GET['id']))
{
$uid=abs(intval($_GET['id']));
}
$player=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id`='$uid' LIMIT 1"));
if(!$player)
{
mset_err("Игрок не найден!");
header("Location: ?l=locat");exit;   //http://stalker.rul/index.php?l=locat
}
// Запрос данных о надетых вещах
if($user and $player['id']==$user['id'])
{
header("Location: ?l=pers");exit;
}
// Вмешательство в бой
if (isset($_GET['infight']))
{
$t_fight=mysql_fetch_assoc(mysql_query("SELECT * FROM `fight` WHERE `id`='$player[fight]' LIMIT 1"));
  if($t_fight)
  {
   mysql_query("UPDATE `user` SET `fight`='$player[fight]', `fight_com`='$player[fight_com]', `coord`='$player[coord]'  WHERE `id`='$user[id]' LIMIT 1");
   $new_com=$t_fight[$player['fight_com'].'kom'].",$user[id]";
   $r_com=$player['fight_com'].'kom';
   mysql_query("UPDATE `fight` SET `$r_com`='$new_com' WHERE `id`='$t_fight[id]' LIMIT 1");
   $text=mysql_real_escape_string("<a href='?l=uinf&id=$user[id]'>[$user[level]] $user[login]</a> вмешался в бой за <a href='?l=uinf&id=$player[id]'>[$player[level]] $player[login]</a>");
   mysql_query("INSERT INTO `logs` SET
         `locid`='$user[locatid]',
         `coord`='$user[coord]',
         `freq`='$user[locatid]#$user[coord]',
         `time`='$s_time',
         `post`='$text'
          ");
   header("Location: pv$t_fight[fighttype].php"); exit; 
  }
}
//
$img=M."/img/tov/000.png"; // 
$sl=array();
$titles=array();
$types=array('0'=>'scan','1'=>'radio','2'=>'loruz','3'=>'shmot','4'=>'granat','5'=>'oruz','6'=>'arts','7'=>'arts','8'=>'arts','9'=>'arts','10'=>'arts');
$slots=mysql_query("SELECT * FROM `rukzak` WHERE `uid`='$player[id]' AND `slot`!=''");
for($i=0;$i<=10;$i++){$sl[$i]=$img;$titles[$i]='';}
if(mysql_num_rows($slots))
{
  while($data=mysql_fetch_assoc($slots))
    {
    if(isset($sl[$data['slot']]))
      {
      $sl[$data['slot']]=M."/img/tov/".$data['ico'];
      $titles[$data['slot']]=" сост.[$data[dolgov]/$data[maxdolg]]";
      }  
    }
}
//
$_SESSION['title']="Информация о сталкере ";
heads($headers_page, $set_ob_start);   //подключение шапки
#include_once SYS."/navmenu.php";
echo "<div class='str'>";
echo "[$player[level]] $player[login]<br />";
$p_arr=array('0'=>'женский','1'=>'мужской');
echo "Пол: ".$p_arr[$player['pol']]." <br />";
if($player['fraktion']){$frakt=$player['fraktion'];}else{$frakt='Одиночки'; mysql_query("UPDATE `user` SET `fraktion`='$frakt' WHERE `id`='$player[id]'  LIMIT 1");}
echo "Фракция: $frakt";
echo "</div>";
?>
<table align='center' class='smottb' border="0">
<tr class='none'>
<td class='none'><a class='none' title='Сканер <?=$titles[0]?>' href=''><img src='<?=$sl[0]?>' width='50' height='50' alt='*Сканер' /></a></td>   <!-- Сканер -->
<td class='none'><img title='аватар' src='<?=M."/img/ava/$user[ava]";?>' width='50' height='50' alt='*' /></td>                  <!-- аватар -->
<td class='none'><a class='none' title='рация<?=$titles[1]?>' href='' width='50' height='50' alt='*рация' /></a></td>    <!-- рация  -->
</tr>

<tr class='none'>
<td class='none'><a class='none' title='пистолет<?=$titles[2]?>' href=''><img src='<?=$sl[2]?>' width='50' height='50' alt='*пистолет' /></a></td>   <!-- пистолет   -->
<td class='none'><a class='none' title='броня<?=$titles[3]?>' href=''><img src='<?=$sl[3]?>' width='50' height='50' alt='*броня' /></a></td>      <!-- броня       -->
<td class='none'><a class='none' title='граната<?=$titles[4]?>' href=''><img src='<?=$sl[4]?>' width='50' height='50' alt='*' /></a></td>           <!-- граната -->
</tr>

<tr class='none'>
<td colspan='3' class='none'><a class='none' title='автомат<?=$titles[5]?>' href=''><img src='<?=$sl[5]?>' width='150' height='50' alt='*автомат' /></a></td><!-- автомат  -->
</tr>

<tr class='none'>
<td colspan='3' class='none'>
<a class='none' href=''><img class='none' title='артефакт<?=$titles[6]?>' src='<?=$sl[6]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href=''><img class='none' title='артефакт<?=$titles[7]?>' src='<?=$sl[7]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href=''><img class='none' title='артефакт<?=$titles[8]?>' src='<?=$sl[8]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href=''><img class='none' title='артефакт<?=$titles[9]?>' src='<?=$sl[9]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
<a class='none' href=''><img class='none' title='артефакт<?=$titles[10]?>' src='<?=$sl[10]?>' width='27' height='27' alt='*арт' /></a>  <!-- арт  -->
</td><!-- colspan='3'  -->
</tr>



</table>
<?
if($player['fight']>0)
{
echo "$player[login] находится в бою<br />";
  if($player['locatid']==$user['locatid'])
  {
    echo "<a title='Вмешаться в бой на стороне $player[login]' href='?l=uinf&id=$player[id]&infight'>Помочь в бою $player[login]</a><br />";
  }
}
echo "<a href='?l=mail&id=$player[id]'>личное сообщение</a>";
echo "<div class='str'><a href='?l=locat'>вернуться</a></div>";
?>
